summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2007-09-15 07:19:22 +0000
committerHans de Graaff <graaff@gentoo.org>2007-09-15 07:19:22 +0000
commit8f6cf981236b72e8ba5227cc163a2fe152be7ccb (patch)
tree60257c40917d0049ceb548685e5b4b9b1782981a /eclass/xemacs-elisp.eclass
parentChanged SRC_URI to gentoo mirrors. (diff)
downloadgentoo-2-8f6cf981236b72e8ba5227cc163a2fe152be7ccb.tar.gz
gentoo-2-8f6cf981236b72e8ba5227cc163a2fe152be7ccb.tar.bz2
gentoo-2-8f6cf981236b72e8ba5227cc163a2fe152be7ccb.zip
Initial releases of the xemacs elisp eclasses
Diffstat (limited to 'eclass/xemacs-elisp.eclass')
-rw-r--r--eclass/xemacs-elisp.eclass55
1 files changed, 55 insertions, 0 deletions
diff --git a/eclass/xemacs-elisp.eclass b/eclass/xemacs-elisp.eclass
new file mode 100644
index 000000000000..bc5d693c2ac7
--- /dev/null
+++ b/eclass/xemacs-elisp.eclass
@@ -0,0 +1,55 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/eclass/xemacs-elisp.eclass,v 1.1 2007/09/15 07:19:22 graaff Exp $
+#
+# Copyright 2007 Hans de Graaff <graaff@gentoo.org>
+#
+# Based on elisp.eclass:
+# Copyright 2007 Christian Faulhammer <opfer@gentoo.org>
+# Copyright 2002-2003 Matthew Kennedy <mkennedy@gentoo.org>
+# Copyright 2003 Jeremy Maitin-Shepard <jbms@attbi.com>
+#
+# @ECLASS: xemacs-elisp.eclass
+# @MAINTAINER:
+# xemacs@gentoo.org
+# @BLURB: Eclass for XEmacs Lisp packages
+# @DESCRIPTION:
+#
+# Emacs support for other than pure elisp packages is handled by
+# xemacs-elisp-common.eclass where you won't have a dependency on XEmacs
+# itself. All elisp-* functions are documented there.
+#
+# @VARIABLE: SIMPLE_ELISP
+# @DESCRIPTION:
+# Setting SIMPLE_ELISP=t in an ebuild means, that the package's source
+# is a single (in whatever way) compressed elisp file with the file name
+# ${PN}-${PV}. This eclass will then redefine ${S}, and move
+# ${PN}-${PV}.el to ${PN}.el in src_unpack().
+
+inherit xemacs-elisp-common
+
+if [ "${SIMPLE_ELISP}" = 't' ]; then
+ S="${WORKDIR}/"
+fi
+
+
+DEPEND="app-editors/xemacs"
+IUSE=""
+
+xemacs-elisp_src_unpack() {
+ unpack ${A}
+ if [ "${SIMPLE_ELISP}" = 't' ]
+ then
+ cd "${S}" && mv ${P}.el ${PN}.el
+ fi
+}
+
+xemacs-elisp_src_compile() {
+ xemacs-elisp-compile *.el || die "Compilation of lisp files failed"
+}
+
+xemacs-elisp_src_install () {
+ xemacs-elisp-install "${PN}" *.el *.elc
+}
+
+EXPORT_FUNCTIONS src_unpack src_compile src_install